package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 阶段点位类型枚举
 */
@AllArgsConstructor
@Getter
public enum EBonusStageType {

    /**
     * 普通点位
     */
    NORMAL(0, "普通点位"),
    /**
     * 赠送点位
     */
    GIFT(1, "赠送点位"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;

    public static EBonusStageType getEBonusStageTypeByValue(Integer value) {
        if (null == value) {
            return null;
        }
        for (EBonusStageType eBonusStageType : EBonusStageType.values()) {
            if (eBonusStageType.getValue() == value) {
                return eBonusStageType;
            }
        }
        return null;
    }
}
